Skip to main content
PATCH
/
domains
/
{id}
cURL
curl -X PATCH 'https://api.nuntly.com/domains/dns_01kabn43yqyxn2bx4ve84mczd3' \
  -H 'Authorization: Bearer apk_xxx' \
  -H 'Content-Type: application/json' \
  -d '{"openTracking":true,"clickTracking":true}'
{
  "data": {
    "id": "<string>",
    "openTracking": true,
    "clickTracking": true
  }
}

Authorizations

Authorization
string
header
required

Use an API key from https://nuntly.com/dashboard/api-keys. Required on every endpoint.

Path Parameters

id
string
required

The id of the domain

Body

application/json
openTracking
boolean

Emit an event for each recipient opens an email their email client

Example:

true

clickTracking
boolean

Emit an event for each time the recipient clicks a link in the email

Example:

true

sending
boolean

Enable or disable sending

receiving
boolean

Enable or disable receiving

Response

Successful response.

data
object
required